<!DOCTYPE html>
<html lang="en">
    <%- include('partials/head.ejs', { title: 'NewRequest' }) %>
<body>

    <%- include('partials/navbar.ejs') %>

    <main>
        <h1>New Request</h1>
        <div class="row">
            <div class="col-10">
                <form method="POST" name="request" action="/newRequest/newRequest">
                    <label for="subjectid">Subject Id: </label>
                    <select name="subjectid" id="subjectid">
                        <% subjects.forEach((subject) => { %>
                            <option value="<%= subject.subjectid %>"><%= subject.subjectid %></option>
                        <% }) %>
                    </select>
                    <br>
                    
                    <label for="appropriate">Appropriate/Not appropriate: </label>
                    <select name="appropriate" id="appropriate">
                        <option value="1">Appropriate</option>
                        <option value="0">Not appropriate</option>
                    </select>
                    <br>

                    <label for="day">Day: </label>
                    <select name="day" id="day">
                        <option value="1">Monday</option>
                        <option value="2">Tuesday</option>
                        <option value="3">Wednesday</option>
                        <option value="4">Thursday</option>
                        <option value="5">Friday</option>
                    </select>
                    <br>

                    <label for="hour">From: </label>
                    <select name="hour" id="hour">
                        <option value="8">8:00</option>
                        <option value="10">10:00</option>
                        <option value="12">12:00</option>
                        <option value="14">14:00</option>
                        <option value="16">16:00</option>
                        <option value="18">18:00</option>
                    </select>
                    <br>

                    <label for="till">Till: </label>
                    <select name="till" id="till">
                        <option value="10">10:00</option>
                        <option value="12">12:00</option>
                        <option value="14">14:00</option>
                        <option value="16">16:00</option>
                        <option value="18">18:00</option>
                        <option value="20">20:00</option>
                    </select>
                    <br>
                    <% if (nrRequests > 0) { %>
                        <input class="btn btn-success" id="id-submit-button" name="idSubmitButton" type="submit" value="Submit">
                    <% } else { %> 
                        <input class="btn btn-success" id="id-submit-button" name="idSubmitButton" type="submit" value="Submit" disabled>
                    <% } %> 
                </form>
            </div>
            <div class="col-2">
                <% if (nrRequests > 0) { %>
                    You have <b><%= nrRequests %></b> requests left 
                <% } else { %> 
                    You have no more requests
                <% } %> 
            </div>
        </div>
    </main>
</body>
</html>